Name: raptor
Version: 1.0.0
Release: alt1

Summary: Raptor RDF Parser Toolkit for Redland
License: LGPL
Group: Development/Other
Url: http://www.redland.opensource.ac.uk/raptor

Source: %name-%version.tar.bz2

Requires: lib%name = %version-%release

BuildPreReq: libtool_1.4

# Automatically added by buildreq on Tue Feb 25 2003
BuildRequires: glibc-devel-static libdmalloc libexpat-devel libxml-devel libxml2-devel zlib-devel

%description
Raptor is the RDF Parser Toolkit for Redland that provides a set of
standalone RDF parsers, generating triples from RDF/XML or N-Triples.

%package -n lib%name
Summary: Dynamic libraries from %name
Group: System/Libraries

%description -n lib%name
Dynamic libraries from %name.

%package -n lib%name-devel
Summary: Header files and static libraries from %name
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q

%build
%set_libtool_version 1.4
%configure --disable-static
export PATH=`pwd`:$PATH

# SMP-incompatible build
%make

%install
%__install -d %buildroot%_man1dir
%__install -d %buildroot%_man3dir
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/rapper
%_man1dir/rapper.1*
%doc AUTHORS ChangeLog LICENSE.txt NEWS README
%doc MPL.html

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_man3dir/libraptor.3*
%_man1dir/%name-config*

%changelog
* Sat Nov 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- new version.
- use libtool-1.4
- do not package .la files.

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.9.8-alt1
- Adopted for Sisyphus.

* Tue Feb 18 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- initial package
